#!/bin/bash

# Caminho para o arquivo JAR ou comando Java que você quer executar
JAVA_COMMAND="java -jar /opt/sdk-desktop/sdk-desktop-1.0.35.jar"

# Função para abrir um novo terminal com o gnome-terminal
open_with_gnome_terminal() {
    gnome-terminal -- bash -c "$JAVA_COMMAND; exec bash"
}

# Função para abrir um novo terminal com o xterm
open_with_xterm() {
    xterm -hold -e "$JAVA_COMMAND"
}

# Verifica se gnome-terminal está instalado
if command -v gnome-terminal &> /dev/null; then
    echo "gnome-terminal encontrado. Abrindo o terminal..."
    open_with_gnome_terminal
# Verifica se xterm está instalado
elif command -v xterm &> /dev/null; then
    echo "xterm encontrado. Abrindo o terminal..."
    open_with_xterm
else
    echo "Nenhum terminal compatível encontrado. Por favor, instale o gnome-terminal ou o xterm."
    exit 1
fi

