#!/bin/bash

##### AC Defesa - 29/05/2024 - Desinstalador #####

# Verifica se o usuário é root
if [ "$(id -u)" -eq 0 ]; then

    # Diretório de instalação do SDK Desktop
    SDK_DESKTOP_DIR="/opt/sdk-desktop"
    # Arquivo do script SDK Desktop
    SDK_DESKTOP_SCRIPT="/usr/local/bin/sdk-desktop.sh"

    echo "Iniciando desinstalação do SDK Desktop..."
# Indentificando usuário que fará uso do SDK-Desktop

echo "Usuários em /home:"
USERS=()
INDEX=1

for USER in /home/*; do
    if [ -d "$USER" ]; then
        USER_NAME=$(basename "$USER")
        echo "$INDEX. $USER_NAME"
        USERS+=("$USER_NAME")
        ((INDEX++))
    fi
done

# Solicita ao usuário que escolha um número
read -p "Digite o número do usuário desejado: " USER_NUMBER

# Verifica se o número é válido
if [[ $USER_NUMBER -gt 0 && $USER_NUMBER -le ${#USERS[@]} ]]; then
    SELECTED_USER=${USERS[$((USER_NUMBER - 1))]}
    echo "Você selecionou o usuário: $SELECTED_USER"
    export SELECTED_USER
else
    echo "Número inválido. Saindo..."
    exit 1
fi
# Arquivo .desktop do SDK Desktop
    SDK_DESKTOP_DESKTOP_FILE="/home/$SELECTED_USER/.local/share/applications/sdk-desktop.desktop"
    
    # Verifica se o diretório de instalação do SDK Desktop existe
    if [ -d "$SDK_DESKTOP_DIR" ]; then
        echo "Removendo o diretório de instalação do SDK Desktop..."
        rm -rf "$SDK_DESKTOP_DIR"
    else
        echo "O diretório de instalação do SDK Desktop não existe."
    fi

    # Verifica se o arquivo do script SDK Desktop existe
    if [ -f "$SDK_DESKTOP_SCRIPT" ]; then
        echo "Removendo o arquivo do script SDK Desktop..."
        rm -f "$SDK_DESKTOP_SCRIPT"
    else
        echo "O arquivo do script SDK Desktop não existe."
    fi

    # Verifica se o arquivo .desktop do SDK Desktop existe
    if [ -f "$SDK_DESKTOP_DESKTOP_FILE" ]; then
        echo "Removendo o arquivo .desktop do SDK Desktop..."
        rm -f "$SDK_DESKTOP_DESKTOP_FILE"
    else
        echo "O arquivo .desktop do SDK Desktop não existe."
    fi

    echo "Desinstalação concluída."

else
    echo "Execute como sudo ou usuário root!"
fi
